package DenikRL.controller;

import com.fasterxml.jackson.annotation.JsonView;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.datatables.mapping.DataTablesInput;
import org.springframework.data.jpa.datatables.mapping.DataTablesOutput;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import  DenikRL.entity.Dily;
import  DenikRL.repository.DilyRestRepository;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.sql.Date;


@RestController
public class DilyRestControler {

    @Autowired
    private DilyRestRepository dilyRestRepository;
    public static Specification<Dily> getDilySpecification(Date fromDate, Date toDate){
        return new Specification<Dily>(){
            @Override
            public Predicate toPredicate(Root<Dily> root, CriteriaQuery<?> query, CriteriaBuilder cb){
                return cb.between(root.get("vyjmuti"), fromDate, toDate);
        }
    };
}
    @JsonView(DataTablesOutput.View.class)
    @RequestMapping(value = "/data/dily", method = RequestMethod.GET)
    public DataTablesOutput<Dily> getDily(@RequestParam("date_from") String dateFrom, @RequestParam("date_to") String dateTo, DataTablesInput input) {
        Date fromDate = null;
        Date toDate = null;
        try {
            fromDate = Date.valueOf(dateFrom);
            toDate = Date.valueOf(dateTo);
        } catch (Exception e) {
        }
        if (fromDate != null && toDate != null)
            return dilyRestRepository.findAll(input, getDilySpecification(fromDate, toDate));
        else {
            return dilyRestRepository.findAll(input);
        }
    }
}