package DenikRL.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.ui.ModelMap;
import org.springframework.validation.BindingResult;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.ModelAndView;
import DenikRL.entity.*;
import DenikRL.repository.*;
import DenikRL.service.SecurityService;
import DenikRL.service.UserService;

import javax.validation.Valid;
import java.util.*;

@Controller
public class MainController {

    @Autowired
    private ProvozRepository provozRepository;
    @Autowired
    private PoruchyRepository poruchyRepository;
    @Autowired
    private DilyRepository dilyRepository;
    @Autowired
    private UserService userService;
    @Autowired
    private SecurityService securityService;
    @Autowired
    private UserValidator userValidator;
    @Autowired
    private UserRepository userRepository;
    @Autowired
    private RoleRepository roleRepository;


    //pridani dat do databáze
    @RequestMapping("/addProvoz")
    public ModelAndView showProvozForm() {
        ModelAndView model = new ModelAndView("provozAdd", "provoz", new Provoz());
        model.addObject("sumAktivPoruchy", poruchyRepository.countAllByUkonceniIsNull());
        return model;
    }


    @RequestMapping("/addPoruchy")
    public ModelAndView showPoruchyForm() {
        return new ModelAndView("poruchyAdd", "poruchy", new Poruchy());
    }

    @RequestMapping("/addDily")
    public ModelAndView showDilyForm() {
        return new ModelAndView("dilyAdd", "dily", new Dily());
    }

    @RequestMapping("/poruchyStat")
    public String poruchy(Model model){

        if (poruchyRepository.pocetOpraSmena()>0) {

            if (poruchyRepository.pocetOpraSmena() > 0) {
                model.addAttribute("sumOpraSmena", poruchyRepository.sumOpraSmena());
                model.addAttribute("pocetOpraSmena", poruchyRepository.pocetOpraSmena());
            }
            if (poruchyRepository.pocetOpraNac() > 0) {
                model.addAttribute("sumOpraNac", poruchyRepository.sumOpraNac());
                model.addAttribute("pocetOpraNac", poruchyRepository.pocetOpraNac());
            }
            if (poruchyRepository.pocetOpraIts() > 0) {
                model.addAttribute("sumOpraIts", poruchyRepository.sumOpraIts());
                model.addAttribute("pocetOpraIts", poruchyRepository.pocetOpraIts());
            }
            if (poruchyRepository.pocetOpraDelta() > 0) {
                model.addAttribute("sumOpraDelta", poruchyRepository.sumOpraDelta());
                model.addAttribute("pocetOpraDelta", poruchyRepository.pocetOpraDelta());
            }
            if (poruchyRepository.pocetOpraRetie() > 0) {
                model.addAttribute("sumOpraRetie", poruchyRepository.sumOpraRetie());
                model.addAttribute("pocetOpraRetie", poruchyRepository.pocetOpraRetie());
            }
            if (poruchyRepository.pocetOpraOst() > 0) {
                model.addAttribute("sumOpraOst", poruchyRepository.sumOpraOst());
                model.addAttribute("pocetOpraOst", poruchyRepository.pocetOpraOst());
            }
            model.addAttribute("getSumProstoj", poruchyRepository.getSumProstoj());

            if (poruchyRepository.pocetCenaDelta() > 0) {
                model.addAttribute("sumCenaDelta", poruchyRepository.sumCenaDelta());
                model.addAttribute("pocetCenaDelta", poruchyRepository.pocetCenaDelta());
            }
            if (poruchyRepository.pocetCenaRetie() > 0) {
                model.addAttribute("sumCenaRetie", poruchyRepository.sumCenaRetie());
                model.addAttribute("pocetCenaRetie", poruchyRepository.pocetCenaRetie());
            }
            if (poruchyRepository.pocetCenaOst() > 0) {
                model.addAttribute("sumCenaOst", poruchyRepository.sumCenaOst());
                model.addAttribute("pocetCenaOst", poruchyRepository.pocetCenaOst());
            }
        }

        return "poruchyStat";
    }

    @RequestMapping("/dilyStat")
    public String dily(Model model) {


        if (dilyRepository.pocetOdpracovalMagnetron1K() > 0) {
            model.addAttribute("sumOdpracovalMag1K", dilyRepository.getSumOdpracovalMag1K());
            model.addAttribute("odpracovalMagnet1K", dilyRepository.pocetOdpracovalMagnetron1K());
        }

        if (dilyRepository.pocetOdpracovalMagnetron2K() > 0) {
            model.addAttribute("sumOdpracovalMag2K", dilyRepository.getSumOdpracovalMag2K());
            model.addAttribute("odpracovalMagnet2K", dilyRepository.pocetOdpracovalMagnetron2K());
        }
        if (dilyRepository.pocetOdpracovalMagnetron3K() > 0) {
            model.addAttribute("sumOdpracovalMag3K", dilyRepository.getSumOdpracovalMag3K());
            model.addAttribute("odpracovalMagnet3K", dilyRepository.pocetOdpracovalMagnetron3K());
        }
        if (dilyRepository.pocetOdpracovalMagnetron4K() > 0) {
            model.addAttribute("sumOdpracovalMag4K", dilyRepository.getSumOdpracovalMag4K());
            model.addAttribute("odpracovalMagnet4K", dilyRepository.pocetOdpracovalMagnetron4K());
        }
        if (dilyRepository.pocetOdpracovalMagnetron5K() > 0) {
            model.addAttribute("sumOdpracovalMag5K", dilyRepository.getSumOdpracovalMag5K());
            model.addAttribute("odpracovalMagnet5K", dilyRepository.pocetOdpracovalMagnetron5K());
        }

        if (dilyRepository.pocetOdpracovalTyr1K() > 0) {
            model.addAttribute("sumOdpracovalTyr1K", dilyRepository.getSumOdpracovalTyr1K());
            model.addAttribute("odpracovalTyr1K", dilyRepository.pocetOdpracovalTyr1K());
        }
        if (dilyRepository.pocetOdpracovalTyr2K() > 0) {
            model.addAttribute("sumOdpracovalTyr2K", dilyRepository.getSumOdpracovalTyr2K());
            model.addAttribute("odpracovalTyr2K", dilyRepository.pocetOdpracovalTyr2K());
        }
        if (dilyRepository.pocetOdpracovalTyr3K() > 0) {
            model.addAttribute("sumOdpracovalTyr3K", dilyRepository.getSumOdpracovalTyr3K());
            model.addAttribute("odpracovalTyr3K", dilyRepository.pocetOdpracovalTyr3K());
        }
        if (dilyRepository.pocetOdpracovalTyr4K() > 0) {
            model.addAttribute("sumOdpracovalTyr4K", dilyRepository.getSumOdpracovalTyr4K());
            model.addAttribute("odpracovalTyr4K", dilyRepository.pocetOdpracovalTyr4K());
        }
        if (dilyRepository.pocetOdpracovalTyr5K() > 0) {
            model.addAttribute("sumOdpracovalTyr5K", dilyRepository.getSumOdpracovalTyr5K());
            model.addAttribute("odpracovalTyr5K", dilyRepository.pocetOdpracovalTyr5K());
        }
        if (dilyRepository.pocetOdpracovalUV1K() > 0) {
            model.addAttribute("sumOdpracovalUV1K", dilyRepository.getSumOdpracovalUV1K());
            model.addAttribute("sumOdpacovalUV1Ktech", dilyRepository.getSumOdpracovalUV1KTech());
            model.addAttribute("odpracovalUV1K", dilyRepository.pocetOdpracovalUV1K());
        }
        if (dilyRepository.pocetOdpracovalUV2K() > 0) {
            model.addAttribute("sumOdpracovalUV2K", dilyRepository.getSumOdpracovalUV2K());
            model.addAttribute("sumOdpacovalUV2Ktech", dilyRepository.getSumOdpracovalUV2KTech());
            model.addAttribute("odpracovalUV2K", dilyRepository.pocetOdpracovalUV2K());
        }
        if (dilyRepository.pocetOdpracovalUV3K() > 0) {
            model.addAttribute("sumOdpracovalUV3K", dilyRepository.getSumOdpracovalUV3K());
            model.addAttribute("sumOdpacovalUV3Ktech", dilyRepository.getSumOdpracovalUV3KTech());
            model.addAttribute("odpracovalUV3K", dilyRepository.pocetOdpracovalUV3K());
        }
        if (dilyRepository.pocetOdpracovalUV4K() > 0) {
            model.addAttribute("sumOdpracovalUV4K", dilyRepository.getSumOdpracovalUV4K());
            model.addAttribute("sumOdpacovalUV4Ktech", dilyRepository.getSumOdpracovalUV4KTech());
            model.addAttribute("odpracovalUV4K", dilyRepository.pocetOdpracovalUV4K());
        }
        if (dilyRepository.pocetOdpracovalUV5K() > 0) {
            model.addAttribute("sumOdpracovalUV5K", dilyRepository.getSumOdpracovalUV5K());
            model.addAttribute("sumOdpacovalUV5Ktech", dilyRepository.getSumOdpracovalUV5KTech());
            model.addAttribute("odpracovalUV5K", dilyRepository.pocetOdpracovalUV5K());
        }


        if (dilyRepository.pocetOdpracovalMagnetron() > 0) {
            model.addAttribute("sumOdpracovalMag", dilyRepository.getSumOdpracovalMag());
            model.addAttribute("odpracovalMagnet", dilyRepository.pocetOdpracovalMagnetron());
        }
        if (dilyRepository.pocetOdpracovalMagnetron() > 0) {
            model.addAttribute("sumOdpracovalTyr", dilyRepository.getSumOdpracovalTyr());
            model.addAttribute("odpracovalTyratron", dilyRepository.pocetOdpracovalTyratron());
        }
        if (dilyRepository.pocetOdpracovalMagnetron() > 0) {
            model.addAttribute("sumOdpracovalUV", dilyRepository.getSumOdpracovalUV());
            model.addAttribute("sumOdpracovalUVTech", dilyRepository.getSumOdpracovalTechUV());
            model.addAttribute("odpracovalUV", dilyRepository.pocetOdpracovalUV());
        }

        model.addAttribute("user", getCurrentUser());
        model.addAttribute("dily10", dilyRepository.findFirst30ByVyjmutiIsNotNullOrderByVyjmutiDesc());
        model.addAttribute("last3Mag", dilyRepository.findFirst3ByVyjmutiIsNotNullOrderByVyjmutiAsc());

        return "dilyStat";
    }


    // data pro filtraci
    @RequestMapping("/poruchy")
    public ModelAndView showPoruchy() {
        return new ModelAndView("poruchyFilter", "poruchy", poruchyRepository.findAll());
    }

    @RequestMapping("/provoz")
    public ModelAndView showProvoz() {
        return new ModelAndView("provozFilter", "provoz", provozRepository.findAll());
    }

    @RequestMapping("/dily")
    public ModelAndView showDily() {
        return  new ModelAndView("dilyFilter", "dily", dilyRepository.findAll());
    }

    // zobrazi pozadovany udaj k editaci
    @RequestMapping("/provoz/edit/{id}")
    public ModelAndView showProvozForm(@PathVariable("id") long id) {
        Provoz provoz = provozRepository.findOne(id);
        User user = getCurrentUser();
        if (provoz.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejste opravnen menit tento provoz");
        }

        return new ModelAndView("provozDetail", "provoz", provoz);
    }
        // schvalovani - ukinceni pristupu nizsim rolim
    @RequestMapping("/provoz/change/{id}")
    public String changeProvozId(@PathVariable("id") long id) {

        Provoz provoz = provozRepository.findOne(id);
        User user = getCurrentUser();
        if (provoz.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejsi opravnen menit provoz");
        }
        provoz.setPristup(user.getUroven());
        provozRepository.save(provoz);
        return "redirect:/";
    }
    @RequestMapping("/dily/change/{id}")
    public String changeDilyId(@PathVariable("id")long id){
        Dily dily = dilyRepository.findOne(id);
        User user = getCurrentUser();
        if (dily.getPristup() > user.getUroven()){
            throw new AccessDeniedException("Nejsi opravnen menit tento dil");
        }
        dily.setPristup(user.getUroven());
        dilyRepository.save(dily);
        return "redirect:/dilyStat";
    }


    @RequestMapping("/provoz/del/{id}")
    public String delProvoz(@PathVariable("id") long id) {
        Provoz provoz = provozRepository.findOne(id);
        User user = getCurrentUser();
        if (provoz.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejsi opravnen menit provoz");
        }
        provozRepository.delete(provoz);
        return "redirect:/";
    }

    @RequestMapping("/poruchy/edit/{id}")
    public ModelAndView showPoruchyForm(@PathVariable("id") long id) {
        Poruchy poruchy = poruchyRepository.findOne(id);
        User user = getCurrentUser();
        if (poruchy.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejsi opravnen měnit tuto poruchu");
        }
        return new ModelAndView("poruchyDetail", "poruchy", poruchy);
    }

    @RequestMapping("/poruchy/editEnd/{id}")
    public ModelAndView showPoruchyEndForm(@PathVariable("id") long id) {
        Poruchy poruchy = poruchyRepository.findOne(id);
        User user = getCurrentUser();
        if (poruchy.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejsi opravnen měnit tuto poruchu");
        }
        return new ModelAndView("poruchyEnd", "poruchy", poruchy);
    }

    @RequestMapping("/dily/edit/{id}")
    public ModelAndView showDilyForm(@PathVariable("id") long id) {
        Dily dily = dilyRepository.findOne(id);
        User user = getCurrentUser();
        if (dily.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejsi opravnen měnit tento dil");
        }


        return new ModelAndView("dilyDetail", "dily", dily);
    }

    @RequestMapping("/dily/end/{id}")
    public ModelAndView showDilyEndForm(@PathVariable("id") long id) {
        Dily dily = dilyRepository.findOne(id);
        User user = getCurrentUser();
        if (dily.getPristup() > user.getUroven()) {
            throw new AccessDeniedException("Nejsi opravnen měnit tento dil");
        }
        return new ModelAndView("dilyEnd", "dily", dily);
    }

    // vkladani dat do databaze
    @RequestMapping("/submitProvoz")
    public String submitProvoz(@Valid @ModelAttribute("provoz") Provoz provoz, BindingResult result, ModelMap model) {
        if (result.hasErrors()) {
            return "/provozAdd";
        }
        User user = getCurrentUser();
        provoz.setPristup(user.getUroven());
        provozRepository.save(provoz);

        return "redirect:/";
    }

    @RequestMapping("/submitPoruchy")
    public String submitPoruchy(@Valid @ModelAttribute("poruchy") Poruchy poruchy, BindingResult result, ModelMap model) {
        if (result.hasErrors()) {
            return "/poruchyAdd";
        }
        User user = getCurrentUser();
        poruchy.setPristup(user.getUroven());
        poruchyRepository.save(poruchy);
        return "redirect:/";
    }

    @RequestMapping("/submitDily")
    public String submitDily(@Valid @ModelAttribute("dily") Dily dily, BindingResult result, ModelMap model) {
        if (result.hasErrors()) {
            return "error";
        }
        if (dily.getVyjmuti() != null) {
            List<Provoz> provozList = provozRepository.findByDatumBetween(dily.getOsazeni(), dily.getVyjmuti());
            dily.setOdpracovalBoj((float) provozList.stream().filter(Objects::nonNull).mapToDouble(provoz -> provoz.getBojovy()).sum());
            dily.setOdpracovalTech((float) provozList.stream().filter(Objects::nonNull).mapToDouble(provoz -> provoz.getTechnicky()).sum());

        }
        User user = getCurrentUser();
        dily.setPristup(user.getUroven());
        dilyRepository.save(dily);
        return "redirect:/";
    }

    // pro upravu dat v databazi
    @RequestMapping("/updateProvoz")
    public String updateProvoz(@Valid @ModelAttribute("provoz") Provoz provoz, BindingResult result, ModelMap model) {
        if (result.hasErrors()) {
            return "/provozDetail";
        }
        User user = getCurrentUser();
        provoz.setPristup(user.getUroven());
        provozRepository.save(provoz);
        return "redirect:/";
    }

    @RequestMapping("/updatePoruchy")
    public String updatePoruchy(@Valid @ModelAttribute("poruchy") Poruchy poruchy, BindingResult result, ModelMap model) {
        if (result.hasErrors()) {
            return "error";
        }
        //vyplni pole prostoj rozdilem dvou casu (/ 3600000 protoze time stamp je v nano sekundach
        if (poruchy.getZahajeni() != null && poruchy.getUkonceni() != null) {
            poruchy.setProstoj((float) (((float) (poruchy.getUkonceni().getTime() - poruchy.getZahajeni().getTime())) / 3600000.0));
        }
        User user = getCurrentUser();
        poruchy.setPristup(user.getUroven());
        poruchyRepository.save(poruchy);
        return "redirect:/";
    }

    @RequestMapping("/updateDily")
    public String updateDily(@Valid @ModelAttribute("dily") Dily dily, BindingResult result, ModelMap model) {
        if (result.hasErrors()) {
            return "error";
        }
        if (dily.getVyjmuti() != null) {
            List<Provoz> provozList = provozRepository.findByDatumBetween(dily.getOsazeni(), dily.getVyjmuti());
            dily.setOdpracovalBoj((float) provozList.stream()
                    .filter(Objects::nonNull)
                    .mapToDouble(provoz -> {
                        Float value = provoz.getBojovy();
                        if (value == null)
                            return 0.0;
                        return (double) value;
                    })
                    .sum()
            );
            dily.setOdpracovalTech((float) provozList.stream()
                    .filter(Objects::nonNull)
                    .mapToDouble(provoz -> {
                        Float value = provoz.getTechnicky();
                        if (value == null)
                            return 0.0;
                        return (double) value;
                    })
                    .sum()
            );
        }
        User user = getCurrentUser();
        dily.setPristup(user.getUroven());
        dilyRepository.save(dily);
        return "redirect:/";
    }

    // pripoji obsach danych databazi vsechny udaje pro index
    @RequestMapping("/")
    public String index(Model model) {
        model.addAttribute("provozR", provozRepository.findFirst40ByOrderByDatumDesc());
        model.addAttribute("poruchyVypis", poruchyRepository.findFirst10ByOrderByZahajeniDesc());
        model.addAttribute("dily", dilyRepository.findAllByCisloIsNotNull());
        model.addAttribute("sumBojovy", provozRepository.getSumBojovy());
        model.addAttribute("sumTechnicky", provozRepository.getSumTechnicky());
        model.addAttribute("sumUdrzba", provozRepository.getSumUdrzba());
        model.addAttribute("sumMotohodiny", provozRepository.getSumMotohodiny());
        model.addAttribute("sumUdrzbaECHod", provozRepository.getSumudrzbaECHod());
        model.addAttribute("sumProstoj", poruchyRepository.getSumProstoj());
        model.addAttribute("sumPoruchy", poruchyRepository.countAllByZahajeniNotNull());
        model.addAttribute("sumAktivPoruchy", poruchyRepository.countAllByUkonceniIsNull());
        model.addAttribute("pocetProvoz", provozRepository.countAllByDatumIsNotNull());
        model.addAttribute("user", getCurrentUser());
        model.addAttribute("magnetronyVypis", dilyRepository.findAllByTypIs("Magnetron"));
        model.addAttribute("vypMag1k", dilyRepository.findAllByVyjmutiIsNullAndTypIs("Magnetron"));
        model.addAttribute("vypTyr", dilyRepository.findAllByVyjmutiIsNullAndTypIs("Tyratron"));
        model.addAttribute("vypUV", dilyRepository.findAllByVyjmutiIsNullAndTypIs("UV-99I"));
        model.addAttribute("sumPoruchyVysilac", poruchyRepository.getSumPoruchaVysilac());
        model.addAttribute("sumPoruchyPrijimac", poruchyRepository.getSumPoruchaPrijmac());
        model.addAttribute("sumPoruchyExtraktor", poruchyRepository.getSumPoruchaExtraktor());

        return "index";
    }

    @RequestMapping(value = "/registration", method = RequestMethod.GET)
    public String registration(Model model) {
        model.addAttribute("userForm", new User());

        return "registration";
    }

    @RequestMapping(value = "/registration", method = RequestMethod.POST)
    public String registration(@ModelAttribute("userForm") User userForm, BindingResult bindingResult, Model model) {
        userValidator.validate(userForm, bindingResult);

        if (bindingResult.hasErrors()) {
            return "registration";
        }
        userService.save(userForm);

        model.addAttribute("message", "Registrace proběhla uspěšně vyčkejte na přidělení práv.");

        return "registration";
    }

    @RequestMapping(value = "/login", method = RequestMethod.GET)
    public String login(Model model, String error, String logout) {
        if (error != null)
            model.addAttribute("error", "Your username and password is invalid.");

        if (logout != null)

            model.addAttribute("message", "You have been logged out successfully.");

        return "login";
    }

    private User getCurrentUser() {
        Authentication authentication = SecurityContextHolder.getContext().getAuthentication();
        return userService.findByUsername(authentication.getName());
    }

    //zde je seznam provadenych udzeb na technice pro Dropdown List
    @ModelAttribute("udrzbaList")
    public Map<String, String> getUdrzbaList() {

        Map<String, String> udrzbaList = new HashMap<String, String>();

        udrzbaList.put("TO1", "TO1");
        udrzbaList.put("TO2", "TO2");
        udrzbaList.put("TO3", "TO3");
        udrzbaList.put("NO", "NO");
        udrzbaList.put("PTSP", "PTSP");
        return udrzbaList;
    }

    @ModelAttribute("hlavniDilList")
    public Map<String, String> getHlavniDilList() {

        Map<String, String> hlavniDilList = new HashMap<String, String>();

        hlavniDilList.put("Vysílač", "Vysílač");
        hlavniDilList.put("Přijímač", "Přijímač");
        hlavniDilList.put("Extraktor", "Extraktor");
        hlavniDilList.put("Ostatní", "Ostatní");
        return hlavniDilList;
    }

    @ModelAttribute("dilyList")
    public Map<String, String> getDilyList() {
        Map<String, String> dilyList = new HashMap<String, String>();

        dilyList.put("Tyratron", "Tyratron");
        dilyList.put("Magnetron", "Magnetron");
        dilyList.put("UV-99I", "UV-99I");
        return dilyList;
    }

    @ModelAttribute("dilyPozice")
    public Map<String, String> getDilyPozice() {
        Map<String, String> dilyPozice = new HashMap<String, String>();

        dilyPozice.put("1._kanal", "1._kanál");
        dilyPozice.put("2._kanál", "2._kanál");
        dilyPozice.put("3._kanál", "3._kanál");
        dilyPozice.put("4._kanál", "4._kanál");
        dilyPozice.put("5._kanál", "5._kanál");
        return dilyPozice;
    }

    @ModelAttribute("opravilList")
    public Map<String, String> getOpravila() {
        Map<String, String> opravil = new HashMap<String, String>();
        opravil.put("Směna", "Směna");
        opravil.put("Načélní RL", "Načélní RL");
        opravil.put("Dustojník ITS", "Dustojník ITS");
        opravil.put("Delta Army", "Delta Army");
        opravil.put("Retie", "Retie");
        opravil.put("Ostatní", "Ostatní");
        return opravil;
    }

}
