package DenikRL.controller;


import com.fasterxml.jackson.annotation.JsonView;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.jpa.datatables.mapping.DataTablesInput;
import org.springframework.data.jpa.datatables.mapping.DataTablesOutput;
import org.springframework.data.jpa.domain.Specification;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import DenikRL.entity.Provoz;
import DenikRL.repository.ProvozRestRepository;

import javax.persistence.criteria.CriteriaBuilder;
import javax.persistence.criteria.CriteriaQuery;
import javax.persistence.criteria.Predicate;
import javax.persistence.criteria.Root;
import java.sql.Date;

@RestController
public class ProvozRestController {

    @Autowired
    private ProvozRestRepository provozRestRepository;


    public static Specification<Provoz> getProvozSpecification(Date fromDate, Date toDate) {
        return new Specification<Provoz>() {
            @Override
            public Predicate toPredicate(Root<Provoz> root, CriteriaQuery<?> query, CriteriaBuilder cb) {
                return cb.between(root.get("datum"), fromDate, toDate);
            }
        };
    }
    @JsonView(DataTablesOutput.View.class)
    @RequestMapping(value = "/data/provoz", method = RequestMethod.GET)
    public DataTablesOutput<Provoz> getProvoz(@RequestParam("date_from") String dateFrom, @RequestParam("date_to") String dateTo, DataTablesInput input) {
        Date fromDate = null;
        Date toDate = null;
        try {
            fromDate = Date.valueOf(dateFrom);
            toDate = Date.valueOf(dateTo);
        } catch (Exception e){}
        if (fromDate != null && toDate != null) {
            return provozRestRepository.findAll(input, getProvozSpecification(fromDate, toDate));
        }
        else {
            return provozRestRepository.findAll(input);
        }
    }
}

