package DenikRL.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import DenikRL.entity.Dily;

import java.util.List;

public interface DilyRepository extends CrudRepository<Dily, Long> {
    public long countAllByOsazeniNotNull();
    public List<Dily> findAllByCisloIsNotNull();
    public List<Dily> findAllByCisloIsNotNullAndVyjmutiIsNullOrderByPoziceAsc();
    public List<Dily> findAllByTypIs(String typ);
    public List<Dily> findFirst30ByVyjmutiIsNotNullOrderByVyjmutiDesc();
    public List<Dily> findAllByVyjmutiIsNullAndTypIs(String typ);
    public List<Dily> findFirst3ByVyjmutiIsNotNullOrderByVyjmutiAsc();



    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Magnetron' and pozice = '1._kanál' ")
    public long getSumOdpracovalMag1K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Magnetron'and pozice = '1._kanál' ")
    public long pocetOdpracovalMagnetron1K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Magnetron' and pozice = '2._kanál' ")
    public long getSumOdpracovalMag2K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Magnetron'and pozice = '2._kanál' ")
    public long pocetOdpracovalMagnetron2K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Magnetron' and pozice = '3._kanál' ")
    public long getSumOdpracovalMag3K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Magnetron'and pozice = '3._kanál' ")
    public long pocetOdpracovalMagnetron3K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Magnetron' and pozice = '4._kanál' ")
    public long getSumOdpracovalMag4K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Magnetron'and pozice = '4._kanál' ")
    public long pocetOdpracovalMagnetron4K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Magnetron' and pozice = '5._kanál' ")
    public long getSumOdpracovalMag5K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Magnetron'and pozice = '5._kanál' ")
    public long pocetOdpracovalMagnetron5K();

    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Magnetron' ")
    public long getSumOdpracovalMag();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Magnetron'")
    public long pocetOdpracovalMagnetron();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Tyratron' ")
    public long getSumOdpracovalTyr();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Tyratron'")
    public long pocetOdpracovalTyratron();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'UV-99I' ")
    public long getSumOdpracovalUV();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'UV-99I'")
    public long pocetOdpracovalUV();
    @Query(value = "SELECT SUM (odpracovalTech) from Dily where typ = 'UV-99I' ")
    public long getSumOdpracovalTechUV();


    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Tyratron' and pozice = '1._kanál' ")
    public long getSumOdpracovalTyr1K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Tyratron'and pozice = '1._kanál' ")
    public long pocetOdpracovalTyr1K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Tyratron' and pozice = '2._kanál' ")
    public long getSumOdpracovalTyr2K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Tyratron'and pozice = '2._kanál' ")
    public long pocetOdpracovalTyr2K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Tyratron' and pozice = '3._kanál' ")
    public long getSumOdpracovalTyr3K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Tyratron'and pozice = '3._kanál' ")
    public long pocetOdpracovalTyr3K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Tyratron' and pozice = '4._kanál' ")
    public long getSumOdpracovalTyr4K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Tyratron'and pozice = '4._kanál' ")
    public long pocetOdpracovalTyr4K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'Tyratron' and pozice = '5._kanál' ")
    public long getSumOdpracovalTyr5K();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'Tyratron'and pozice = '5._kanál' ")
    public long pocetOdpracovalTyr5K();

    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'UV-99I' and pozice = '1._kanál' ")
    public long getSumOdpracovalUV1K();
    @Query(value = "SELECT SUM (odpracovalTech) from Dily where typ = 'UV-99I' and pozice = '1._kanál' ")
    public long getSumOdpracovalUV1KTech();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'UV-99I'and pozice = '1._kanál' ")
    public long pocetOdpracovalUV1K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'UV-99I' and pozice = '2._kanál' ")
    public long getSumOdpracovalUV2K();
    @Query(value = "SELECT SUM (odpracovalTech) from Dily where typ = 'UV-99I' and pozice = '2._kanál' ")
    public long getSumOdpracovalUV2KTech();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'UV-99I'and pozice = '2._kanál' ")
    public long pocetOdpracovalUV2K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'UV-99I' and pozice = '3._kanál' ")
    public long getSumOdpracovalUV3K();
    @Query(value = "SELECT SUM (odpracovalTech) from Dily where typ = 'UV-99I' and pozice = '3._kanál' ")
    public long getSumOdpracovalUV3KTech();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'UV-99I'and pozice = '3._kanál' ")
    public long pocetOdpracovalUV3K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'UV-99I' and pozice = '4._kanál' ")
    public long getSumOdpracovalUV4K();
    @Query(value = "SELECT SUM (odpracovalTech) from Dily where typ = 'UV-99I' and pozice = '4._kanál' ")
    public long getSumOdpracovalUV4KTech();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'UV-99I'and pozice = '4._kanál' ")
    public long pocetOdpracovalUV4K();
    @Query(value = "SELECT SUM (odpracovalBoj) from Dily where typ = 'UV-99I' and pozice = '5._kanál' ")
    public long getSumOdpracovalUV5K();
    @Query(value = "SELECT SUM (odpracovalTech) from Dily where typ = 'UV-99I' and pozice = '5._kanál' ")
    public long getSumOdpracovalUV5KTech();
    @Query(value = "SELECT COUNT (odpracovalBoj) from Dily where typ = 'UV-99I'and pozice = '5._kanál' ")
    public long pocetOdpracovalUV5K();


}
