package DenikRL.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import DenikRL.entity.Poruchy;

import java.util.Date;
import java.util.List;

public interface PoruchyRepository extends CrudRepository<Poruchy, Long> {

    public long countAllByUkonceniIsNull();
    public long countAllByZahajeniNotNull();
    @Query(value = "SELECT SUM (prostoj) FROM Poruchy ")
    public long getSumProstoj();
    @Query(value = "select SUM (prostoj) from Poruchy where hlavniDil ='Vysílač'")
    public long getSumPoruchaVysilac();
    @Query(value = "select SUM (prostoj) from Poruchy where hlavniDil ='Přijímač'")
    public long getSumPoruchaPrijmac();
    @Query(value = "select SUM (prostoj) from Poruchy where hlavniDil ='Extraktor'")
    public long getSumPoruchaExtraktor();


    @Query(value = "select SUM (prostoj) from Poruchy where opravil = 'Směna'")
    public long sumOpraSmena();
    @Query(value = "SELECT COUNT (prostoj) from Poruchy where opravil ='Směna'")
    public long pocetOpraSmena();

    @Query(value = "select SUM (prostoj) from Poruchy where opravil = 'Načélní RL'")
    public long sumOpraNac();
    @Query(value = "SELECT COUNT (prostoj) from Poruchy where opravil ='Načélní RL'")
    public long pocetOpraNac();

    @Query(value = "select SUM (prostoj) from Poruchy where opravil = 'Dustojník ITS'")
    public long sumOpraIts();
    @Query(value = "SELECT COUNT (prostoj) from Poruchy where opravil ='Dustojník ITS'")
    public long pocetOpraIts();

    @Query(value = "select SUM (prostoj) from Poruchy where opravil = 'Delta Army'")
    public long sumOpraDelta();
    @Query(value = "SELECT COUNT (prostoj) from Poruchy where opravil ='Delta Army'")
    public long pocetOpraDelta();

    @Query(value = "select SUM (prostoj) from Poruchy where opravil = 'Retie'")
    public long sumOpraRetie();
    @Query(value = "SELECT COUNT (prostoj) from Poruchy where opravil ='Retie'")
    public long pocetOpraRetie();

    @Query(value = "select SUM (prostoj) from Poruchy where opravil = 'Ostatní'")
    public long sumOpraOst();
    @Query(value = "SELECT COUNT (prostoj) from Poruchy where opravil ='Ostatní'")
    public long pocetOpraOst();

    @Query(value = "select SUM (cena) from Poruchy where opravil = 'Delta Army'")
    public long sumCenaDelta();
    @Query(value = "SELECT COUNT (cena) from Poruchy where opravil ='Delta Army'")
    public long pocetCenaDelta();

    @Query(value = "select SUM (cena) from Poruchy where opravil = 'Retie'")
    public long sumCenaRetie();
    @Query(value = "SELECT COUNT (cena) from Poruchy where opravil ='Retie'")
    public long pocetCenaRetie();

    @Query(value = "select SUM (cena) from Poruchy where opravil = 'Ostatní'")
    public long sumCenaOst();
    @Query(value = "SELECT COUNT (cena) from Poruchy where opravil ='Ostatní'")
    public long pocetCenaOst();


    public List<Poruchy> findAllByUkonceniIsNull();
    public List<Poruchy> findFirst10ByOrderByZahajeniDesc();

    public List<Poruchy> findByZahajeniBetween(Date datumAfter, Date datumBefore);
}
