package DenikRL.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import DenikRL.entity.Provoz;

import java.util.Date;
import java.util.List;


public interface ProvozRepository extends CrudRepository<Provoz, Long> {
    public long countAllByDatumIsNotNull();

    //vytvori dotaz a vrati soucet bojoveho provozu

    @Query(value = "SELECT SUM (bojovy) FROM Provoz")
    public long getSumBojovy();

    @Query(value = "SELECT SUM (technicky) FROM Provoz ")
    public long getSumTechnicky();

    @Query(value = "SELECT SUM (udrzbaHod) from  Provoz ")
    public long getSumUdrzba();

    @Query(value = "SELECT SUM (motohodiny) from  Provoz ")
    public long getSumMotohodiny();

    @Query(value = "SELECT SUM (udrzbaECHod) from  Provoz ")
    public long getSumudrzbaECHod();

    public List<Provoz> findFirst40ByOrderByDatumDesc();

    public List<Provoz> findByDatumBetween(Date datumAfter, Date datumBefore);

}
