package DenikRL.validation;

import DenikRL.entity.Provoz;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

public class ProvozValidator implements ConstraintValidator<IsCorrectProvoz, Provoz> {

    @Override
    public void initialize(IsCorrectProvoz constraintAnnotation) {
    }

    @Override
    public boolean isValid(Provoz provoz, ConstraintValidatorContext context) {
        if (provoz.getTechnicky() != null && provoz.getTechnicky() > 24.0) {
            return false;
        } else if (provoz.getTechnicky() != null && provoz.getTechnicky() < 0.0) {
            return false;
        } else if (provoz.getBojovy() != null && provoz.getBojovy() > 24.0) {
            return false;
        } else if (provoz.getBojovy() != null && provoz.getBojovy() < 0.0) {
            return false;
        } else if (provoz.getUdrzbaHod() != null && provoz.getUdrzbaHod() < 0.0) {
            return false;
        } else if (provoz.getUdrzbaHod() != null && provoz.getUdrzbaHod() > 24.0) {
            return false;
        } else if (provoz.getMotohodiny() != null && provoz.getMotohodiny() > 24.0) {
            return false;
        } else if (provoz.getMotohodiny() != null && provoz.getMotohodiny() < 0.0) {
            return false;
        } else if (provoz.getUdrzbaECHod() != null && provoz.getUdrzbaECHod() < 0.0) {
            return false;
        } else if (provoz.getUdrzbaECHod() != null && provoz.getUdrzbaECHod() > 24.0) {
            return false;
        } else if (provoz.getBojovy() != null && provoz.getTechnicky() != null && provoz.getBojovy() + provoz.getTechnicky() > 24.0) {
            return false;
        }
        return true;
    }
}
