<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page session="true" %>
<%@page pageEncoding="UTF-8" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@page import="java.text.DecimalFormat" %>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Přehled</title>
</head>
<body>

<div class="container">
    <jsp:include page="menu.jsp"></jsp:include>
    <div class="row">
        <div class="columns">
            <h3>Filtrování dílů</h3>
            <table class="sumarDily">
                <tr>
                    <th colspan="4">Průměrná životnost Dilu</th>
                </tr>
                <tr>
                    <th>Pozice</th>
                    <th>Magnetron</th>
                    <th>Tyratron</th>
                    <th>UV99I</th>
                </tr>
                <tr>
                    <td>1 kanál:</td>
                    <fmt:formatNumber type="number" maxFractionDigits="0" value=""/>
                    <td><c:if test="${not empty sumOdpracovalMag1K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalMag1K/odpracovalMagnet1K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalTyr1K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalTyr1K/odpracovalTyr1K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalUV1K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${(sumOdpracovalUV1K + sumOdpacovalUV1Ktech)/odpracovalUV1K}"/> </c:if></td>
                </tr>
                <tr>
                    <td>2 kanál:</td>
                    <td><c:if
                            test="${not empty sumOdpracovalMag2K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalMag2K/odpracovalMagnet2K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalTyr2K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalTyr2K/odpracovalTyr2K}"/></c:if></td>
                    <td><c:if
                            test="${not empty sumOdpracovalUV2K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${(sumOdpracovalUV2K + sumOdpacovalUV2Ktech)/odpracovalUV2K}"/></c:if></td>
                </tr>
                <tr>
                    <td>3 kanál:</td>
                    <td><c:if
                            test="${not empty sumOdpracovalMag3K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalMag3K/odpracovalMagnet3K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalTyr3K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalTyr3K/odpracovalTyr3K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalUV3K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${(sumOdpracovalUV3K + sumOdpacovalUV3Ktech)/odpracovalUV3K}"/></c:if></td>
                </tr>
                <tr>
                    <td>4 kanál:</td>
                    <td><c:if
                            test="${not empty sumOdpracovalMag4K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalMag4K/odpracovalMagnet4K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalTyr4K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalTyr4K/odpracovalTyr4K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalUV4K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${(sumOdpracovalUV4K + sumOdpacovalUV4Ktech)/odpracovalUV4K}"/></c:if></td>
                </tr>
                <tr>
                    <td>5 kanál:</td>
                    <td><c:if
                            test="${not empty sumOdpracovalMag5K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalMag5K/odpracovalMagnet5K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalTyr5K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${sumOdpracovalTyr5K/odpracovalTyr5K}"/></c:if></td>
                    <td><c:if test="${not empty sumOdpracovalUV5K}"><fmt:formatNumber type="number" maxFractionDigits="0" value="${(sumOdpracovalUV5K + sumOdpacovalUV5Ktech)/odpracovalUV5K}"/></c:if></td>
                </tr>
                <tfoot>
                <tr>
                    <td>Všechny</td>
                    <td><c:if test="${not empty sumOdpracovalMag}">
                        <fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2" value="${sumOdpracovalMag/odpracovalMagnet}" />
                    </c:if></td>
                    <td><c:if test="${not empty sumOdpracovalMag}">
                        <fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2" value="${sumOdpracovalTyr/odpracovalTyratron}" />
                    </c:if></td>
                    <td><c:if test="${not empty odpracovalUV}">
                        <fmt:formatNumber type="number" minFractionDigits="2" maxFractionDigits="2" value="${(sumOdpracovalUVTech + sumOdpracovalUV) / odpracovalUV }" />
                    </c:if></td>
                </tr>
                </tfoot>
            </table>
        </div>
        <div class="columns">
            <c:if test="${not empty dily10}">
                <table class="dily">
                    <tr>
                        <th colspan="8">Poslení vyměněné díly</th>
                    </tr>
                    <tr>
                        <th>ID</th>
                        <th>Typ</th>
                        <th>Pozice</th>
                        <th>Cislo</th>
                        <th>Osazeni</th>
                        <th>Vyjmuti</th>
                        <th>Odpracoval Bojový</th>
                        <th>Odpracoval Technický</th>
                    </tr>
                    <c:forEach var="dily" items="${dily10}">
                        <tr>
                            <td>${dily.id}</td>
                            <td>${dily.typ}</td>
                            <td>${dily.pozice}</td>
                            <td>${dily.cislo}</td>
                            <td>${dily.osazeni}</td>
                            <td>${dily.vyjmuti}</td>
                            <td>${dily.odpracovalBoj}</td>
                            <td>${dily.odpracovalTech}</td>
                            <c:if test="${dily.pristup <= user.uroven}">
                                <td>
                                    <a href="/dily/edit/${dily.id}">edit</a>
                                </td>
                            </c:if>
                            <c:if test="${dily.pristup < user.uroven}">
                                <td>
                                    <a href="/dily/change/${dily.id}">schvalit</a>
                                </td>
                            </c:if>
                        </tr>
                    </c:forEach>
                </table>
            </c:if>
        </div>
    </div>
</div>
</body>
</html>