<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page session="true" %>
<%@page pageEncoding="UTF-8" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@page import="java.text.DecimalFormat" %>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Přehled</title>
</head>
<body>

<div class="container">

    <jsp:include page="menu.jsp"></jsp:include>

    <div class="pokus">
        <div class="sumare">
            <div class="sumar">
                <table class="sumarProvz">
                    <tr>
                        <td>Bojovy provoz:</td>
                        <td>
                            <c:if test="${not empty sumBojovy}">${sumBojovy} h
                            </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Technicky provoz:</td>
                        <td><c:if test="${not empty sumTechnicky}">${sumTechnicky} h
                        </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Celkovy provoz:</td>
                        <td><c:if test="${not empty sumBojovy}">
                            <c:if test="${not empty sumTechnicky}">
                                ${sumBojovy+sumTechnicky} h
                            </c:if>
                        </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Počet hodin udržby:</td>
                        <td><c:if test="${not empty sumUdrzba}">
                            ${sumUdrzba} h
                        </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Počet Motohodin EC:</td>
                        <td><c:if test="${not empty sumMotohodiny}">
                            ${sumMotohodiny} h
                        </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Počet hodin udržby EC:</td>
                        <td><c:if test="${not empty sumUdrzbaECHod}">
                            ${sumUdrzbaECHod} h
                        </c:if>
                        </td>
                    </tr>
                </table>
            </div>
            <div class="sumar">
                <table class="sumarPoruchy">
                    <tr>
                        <td>Počet poruchových hodin:</td>
                        <td>
                            <c:if test="${not empty sumProstoj}">${sumProstoj}
                                h</c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Pocet poruch:</td>
                        <td><c:if test="${not empty sumPoruchy}"> ${sumPoruchy}
                        </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>dostupnost:</td>
                        <td><c:if test="${not empty pocetProvoz}">
                            <fmt:formatNumber type="number" maxFractionDigits="1"
                                              value="${((pocetProvoz * 24) - sumProstoj)/(pocetProvoz * 0.24)}"/> %
                        </c:if>
                        </td>
                    </tr>
                    <tr>
                        <td>Pocet hodin poruch vysilace</td>
                        <td>${sumPoruchyVysilac}</td>
                    </tr>
                    <tr>
                        <td>Pocet hodin poruch přijimače</td>
                        <td>${sumPoruchyPrijimac}</td>
                    </tr>
                    <tr>
                        <td>Pocet hodin poruch extraktoru</td>
                        <td>${sumPoruchyExtraktor}</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="columns">
            <c:if test="${not empty provozR}">
                <table class="vypisProvoz">
                    <tr>
                        <th>ID</th>
                        <th>Datum</th>
                        <th>Bojový</th>
                        <th>Technický</th>
                        <th>Údržba</th>
                        <th>Počet hodin</th>
                        <th>EC</th>
                        <th>Údržba EC</th>
                    </tr>
                    <c:forEach var="provoz" items="${provozR}">
                        <tr>
                            <td>${provoz.id}</td>
                            <td>${provoz.datum}</td>
                            <td>${provoz.bojovy}</td>
                            <td>${provoz.technicky}</td>
                            <td>${provoz.udrzba}</td>
                            <td>${provoz.udrzbaHod}</td>
                            <td>${provoz.motohodiny}</td>
                            <td>${provoz.udrzbaECHod}</td>
                            <c:if test="${provoz.pristup <= user.uroven}">
                                <td><a href="/provoz/edit/${provoz.id}">edit</a>
                                </td>
                            </c:if>
                            <c:if test="${provoz.pristup <= user.uroven -1}">
                                <td><a href="/provoz/change/${provoz.id}">check</a></td>
                            </c:if>
                        </tr>
                    </c:forEach>
                </table>
            </c:if>
        </div>

        <div class="columns">
            <c:if test="${not empty poruchyVypis}">
                <table class="vypisPoruchy">
                    <tr>
                        <th>ID</th>
                        <th>Zahajeni</th>
                        <th>Hlavni dil</th>
                        <th>ukonceni</th>
                        <th>Prostoj</th>
                    </tr>
                    <c:forEach var="poruchy" items="${poruchyVypis}">
                        <tr>
                            <td>${poruchy.id}</td>
                            <td>${poruchy.zahajeni}</td>
                            <td>${poruchy.hlavniDil}</td>
                            <td><c:if test="${empty poruchy.ukonceni}">
                                <c:if test="${poruchy.pristup <= user.uroven}">
                                    <a href="/poruchy/editEnd/${poruchy.id}">Ukončit</a>
                                </c:if>
                            </c:if>
                                    ${poruchy.ukonceni}</td>
                            <td>${poruchy.prostoj}</td>
                            <c:if test="${poruchy.pristup <= user.uroven}">
                                <td>
                                    <a href="/poruchy/edit/${poruchy.id}">edit</a>
                                </td>
                            </c:if>
                        </tr>
                    </c:forEach>
                </table>
            </c:if>
        </div>

        <div class="columns">
            <c:if test="${not empty vypMag1k || not empty vypMag1k || not empty vypUV }">
                <table class="vypisEC">
                    <tr>
                        <th>ID</th>
                        <th>Typ</th>
                        <th>Pozice</th>
                        <th>Cislo</th>
                        <th>Osazeni</th>

                    </tr>
                    <c:if test="${not empty vypMag1k}">
                        <c:forEach var="dily" items="${vypMag1k}">
                            <tr>
                                <td>${dily.id}</td>
                                <td>${dily.typ}</td>
                                <td>${dily.pozice}</td>
                                <td>${dily.cislo}</td>
                                <td>${dily.osazeni}</td>
                                <c:if test="${dily.pristup <= user.uroven}">
                                    <td><a href="/dily/edit/${dily.id}">edit</a>
                                    </td>
                                </c:if>
                                <c:if test="${dily.pristup <= user.uroven}">
                                    <td><a href="/dily/end/${dily.id}">end</a>
                                    </td>
                                </c:if>
                            </tr>
                        </c:forEach>
                    </c:if>
                    <c:if test="${not empty vypTyr}">
                        <c:forEach var="dily" items="${vypTyr}">
                            <tr>
                                <td>${dily.id}</td>
                                <td>${dily.typ}</td>
                                <td>${dily.pozice}</td>
                                <td>${dily.cislo}</td>
                                <td>${dily.osazeni}</td>
                                <c:if test="${dily.pristup <= user.uroven}">
                                    <td><a href="/dily/edit/${dily.id}">edit</a>
                                    </td>
                                </c:if>
                                <c:if test="${dily.pristup <= user.uroven}">
                                    <td><a href="/dily/end/${dily.id}">end</a>
                                    </td>
                                </c:if>
                            </tr>
                        </c:forEach>
                    </c:if>
                    <c:if test="${not empty vypUV}">
                        <c:forEach var="dily" items="${vypUV}">
                            <tr>
                                <td>${dily.id}</td>
                                <td>${dily.typ}</td>
                                <td>${dily.pozice}</td>
                                <td>${dily.cislo}</td>
                                <td>${dily.osazeni}</td>
                                <c:if test="${dily.pristup <= user.uroven}">
                                    <td><a href="/dily/edit/${dily.id}">edit</a>
                                    </td>
                                </c:if>
                                <c:if test="${dily.pristup <= user.uroven}">
                                    <td><a href="/dily/end/${dily.id}">end</a>
                                    </td>
                                </c:if>
                            </tr>
                        </c:forEach>
                    </c:if>
                </table>
            </c:if>
        </div>
    </div>
</div>
</body>
</html>