<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <link rel="stylesheet" type="text/css" href="/css/jquery.datetimepicker.css"/>
    <script src="/js/jquery.js"></script>
    <script src="/js/build/jquery.datetimepicker.full.min.js"></script>
    <title>Detail Poruchy</title>
</head>
<body>
<div class="container">

    <jsp:include page="menu.jsp"></jsp:include>

    <h3>Uprav Poruchu</h3>
    <form:form method="POST" action="/updatePoruchy" modelAttribute="poruchy">
        <table>
            <tr>
                <td><form:label path="id">id</form:label></td>
                <td>${poruchy.id}<form:hidden path="id"/></td>
            </tr>
            <tr>
                <td><form:label path="zahajeni">Datum a čas zahájení</form:label></td>
                <td><form:input path="zahajeni" id="zahajeni" placeholder="RRRR-MM-DD"/></td>
                <script>
                    jQuery('#zahajeni').datetimepicker({
                        format: 'Y-m-d H:i:00',
                        step: 15
                    });
                </script>
            </tr>
            <tr>
                <td><form:label path="hlavniDil">Hlavní část:</form:label></td>
                <td><form:select path="hlavniDil">
                    <form:option value="" label=" "/>
                    <form:options items="${hlavniDilList}"/>
                </form:select></td>
            </tr>
            <tr>
                <td><form:label path="popis">Popis:</form:label></td>
                <td><form:textarea path="popis" rows="5" cols="30"/></td>
            </tr>
            <!-- zobrazi datum a cas ukonceni jen pokud je vyplnen-->
            <c:if test="${not empty poruchy.ukonceni}">
            <tr>
                <td><form:label path="ukonceni">ukonceni</form:label></td>
                <td><form:input path="ukonceni" id="ukonceni" placeholder="RRRR-MM-DD"/></td>
                <script>
                    jQuery('#ukonceni').datetimepicker({
                        format: 'Y-m-d H:i:00',
                        step: 15
                    });
                    // Y = 2017 M = sep  D = thu H = 24 i = timepicker minuts   s = aktual
                    // y = 17   m = 09   d = 17  h = 12 m = aktual              00 = 00
                </script>
            </tr>
            <tr>
                <td><form:label path="opravil">Opravil:</form:label></td>
                <td><form:select path="opravil">
                    <form:option value="" label=" "/>
                    <form:options items="${opravilList}"/>
                </form:select></td>
            </tr>
            <tr>
                </c:if>
                <sec:authorize access="hasAuthority('ITS_PRAPOR')">
                    <td><form:label path="cena">Cena</form:label></td>
                    <td>
                        <form:input path="cena"/>
                    </td>
                </sec:authorize>
            </tr>
            <tr>
                <td><input type="submit" value="Submit"/></td>
            </tr>

        </table>
    </form:form>
</div>
</body>
</html>