<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <link rel="stylesheet" type="text/css" href="/css/jquery.datetimepicker.css"/>
    <script src="/js/jquery.js"></script>
    <script src="/js/build/jquery.datetimepicker.full.min.js"></script>
    <title>Ukončení poruchy</title>
</head>
<body>
<div class="container">

    <jsp:include page="menu.jsp"></jsp:include>

    <h3>Ukončení Poruchy</h3>
    <form:form method="POST" action="/updatePoruchy" modelAttribute="poruchy">
        <table>
            <tr>
                <td><form:label path="id">id</form:label></td>
                <td>${poruchy.id}<form:hidden path="id"/></td>
            </tr>
            <tr>
                <td><form:label path="zahajeni">Datum a čas zahájení</form:label></td>
                <td>${poruchy.zahajeni}<form:hidden path="zahajeni" /></td>
            </tr>
            <tr>
                <td><form:label path="hlavniDil">Hlavní část:</form:label></td>
                <td>${poruchy.hlavniDil}<form:hidden path="hlavniDil"/></td>
            </tr>
            <tr>
                <td><form:label path="popis">Popis:</form:label></td>
                <td><form:textarea path="popis" rows="5" cols="30"/></td>
            </tr>
            <tr>
                <td><form:label path="ukonceni">Datum a čas ukončení</form:label></td>
                <td><form:input path="ukonceni" id="datetimepicker" placeholder="RRRR-MM-DD 23:12:58"/></td>
                <script>
                    jQuery('#datetimepicker').datetimepicker({
                        format: 'Y-m-d H:i:00',
                        step: 15
                    });
                    // Y = 2017 M = sep  D = thu H = 24 i = timepicker minuts   s = aktual
                    // y = 17   m = 09   d = 17  h = 12 m = aktual              00 = 00
                </script>
            </tr>
            <tr>
            <tr>
                <td><form:label path="opravil">Hlavní část:</form:label></td>
                <td><form:select path="opravil">
                    <form:option value="" label=" "/>
                    <form:options items="${opravilList}"/>
                </form:select></td>
            </tr>
            </tr>
            <tr>
                <td><input type="submit" value="Submit"/></td>
            </tr>
        </table>
    </form:form>
</div>

</body>
</html>