<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <title>Provoz Filtrovani</title>

    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <link rel="stylesheet" type="text/css" href="/css/jquery.dataTables.min.css">
    <link rel="stylesheet" type="text/css" href="/css/jquery.datetimepicker.css"/>

    <script type="text/javascript" language="javascript" src="/js/jquery-1.12.4.js"></script>
    <script type="text/javascript" language="javascript" src="/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" language="javascript" src="/js/jquery.spring-friendly.js"></script>
    <script type="text/javascript" language="javascript" src="/js/moment-with-locales.js"></script>
    <script src="/js/build/jquery.datetimepicker.full.min.js"></script>

    <script type="text/javascript" language="javascript" src="https://code.jquery.com/ui/1.12.1/jquery-ui.js">
    </script>
    <link rel="stylesheet" type="text/css" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">

</head>
<body>
<div class="container">
    <jsp:include page="menu.jsp"></jsp:include>


    <h3>Poruchy filter</h3>

    <table border="0" cellspacing="5" cellpadding="5">
        <tbody>
        <tr>
            <td>Minimum Date:</td>
            <td><input name="min" id="min" type="text"></td>

        </tr>
        <tr>
            <td>Maximum Date:</td>
            <td><input name="max"  id="max" type="text"></td>
        </tr>
        </tbody>
    </table>

    <table id="poruchy" class="display" width="100%" cellspacing="0">
        <thead>
        <tr>
            <th>id</th>
            <th>Zahajeni</th>
            <th>Ukončeni</th>
            <th>Hlavní Díl</th>
            <th>Popis</th>
            <th>Prostoj</th>
            <th>Opravil</th>
            <sec:authorize access="hasAnyAuthority('ITS_PRAPOR','ADMIN1')">
            <th>Cena</th>
            </sec:authorize>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th>id</th>
            <th>Zahajeni</th>
            <th>Ukončeni</th>
            <th>Hlavní Díl</th>
            <th>Popis</th>
            <th>Prostoj</th>
            <th>Opravil</th>
            <sec:authorize access="hasAnyAuthority('ITS_PRAPOR','ADMIN1')">
            <th>Cena</th>
            </sec:authorize>
        </tr>
        </tfoot>
    </table>
    <script type="text/javascript">
        $(document).ready(function () {
            var table = $('#poruchy').DataTable({
                "ajax": {
                    "url": "data/poruchy",
                    "data": function (a) {
                        return $.extend({}, a, {
                            "date_from": $('#min').val(),
                            "date_to": $('#max').val()
                        });
                    }
                },
                'serverSide': true,
                columns: [{
                    data: 'id'
                }, {
                    data: 'zahajeni',
                    render: function(d) {
                        return moment(d).format("YYYY-MM-DD HH:mm");
                    }
                },
                    {
                        data: 'ukonceni',
                        render: function(d) {
                            return moment(d).format("YYYY-MM-DD HH:mm");
                        }
                    }
                    , {
                        data: 'hlavniDil'
                    }, {
                        data: 'popis'
                    },
                    {
                        data: 'prostoj'
                    },
                    {
                        data: 'opravil'
                    },
                    <sec:authorize access="hasAnyAuthority('ITS_PRAPOR','ADMIN1')">
                    {
                        data: 'cena'
                    }
                    </sec:authorize>
                ],
                "footerCallback": function (row, data, start, end, display) {
                    var api = this.api(), data;

                    // Remove the formatting to get integer data for summation
                    var intVal = function (i) {
                        return typeof i === 'string' ?
                            i.replace(/[\$,]/g, '') * 1 :
                            typeof i === 'number' ?
                                i : 0;
                    };
                    pageTotal = api
                        .column(5, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    $(api.column(5).footer()).html(
                        'Prostoj: ' + pageTotal
                    );
                    <sec:authorize access="hasAnyAuthority('ITS_PRAPOR','ADMIN1')">
                    pageTotal = api
                        .column(7, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    $(api.column(7).footer()).html(
                        'cena: ' + pageTotal
                    );
                    </sec:authorize>
                }

            });

            $('#min, #max').datepicker({dateFormat:"yy-mm-dd"}).change(function () {
                table.draw();
            });

        });
    </script>
    <script type="text/javascript">

    </script>
</div>
</body>
</html>