<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page session="true" %>
<%@page pageEncoding="UTF-8" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@page import="java.text.DecimalFormat" %>
<!DOCTYPE html>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Statistika Oprav</title>
</head>
<body>

<div class="container">
    <jsp:include page="menu.jsp"></jsp:include>
    <div class="row">
        <div class="columns">
            <table class="sumarDily">
                <tr>
                    <th colspan="7">Statistiky Oprav</th>
                </tr>
                <tr>
                    <th>      </th>
                    <th>směna:</th>
                    <th>Náčelník</th>
                    <th>ITS</th>
                    <th>Delta Army</th>
                    <th>Retie</th>
                    <th>Ostatní</th>
                </tr>
                <tr>
                    <td>Průměrná doba opravy:</td>
                    <td><c:if test="${not empty pocetOpraSmena}">${sumOpraSmena/pocetOpraSmena}</c:if></td>
                    <td><c:if test="${not empty pocetOpraNac}">${sumOpraNac/pocetOpraNac}</c:if></td>
                    <td><c:if test="${not empty pocetOpraIts}">${sumOpraIts/pocetOpraIts}</c:if></td>
                    <td><c:if test="${not empty pocetOpraDelta}">${sumOpraDelta/pocetOpraDelta}</c:if></td>
                    <td><c:if test="${not empty pocetOpraRetie}">${sumOpraRetie/pocetOpraRetie}</c:if></td>
                    <td><c:if test="${not empty pocetOpraOst}">${sumOpraOst/pocetOpraOst}</c:if></td>

                   </tr>
                <tr>
                    <td>Prostoj dle opravce:</td>
                    <td><c:if test="${not empty getSumProstoj}">
                        <fmt:formatNumber type="number" maxFractionDigits="1" value="${sumOpraSmena/getSumProstoj*100}"/> %
                        </c:if></td>
                    <td><c:if test="${not empty getSumProstoj}">
                        <fmt:formatNumber type="number" maxFractionDigits="1" value="${sumOpraNac/getSumProstoj*100}"/> %
                        </c:if></td>
                    <td><c:if test="${not empty getSumProstoj}">
                        <fmt:formatNumber type="number" maxFractionDigits="1"
                                          value="${sumOpraIts/getSumProstoj*100}"/> %
                        </c:if></td>
                    <td><c:if test="${not empty getSumProstoj}">
                        <fmt:formatNumber type="number" maxFractionDigits="1"
                                          value="${sumOpraDelta/getSumProstoj*100}"/> %
                        </c:if></td>
                    <td><c:if test="${not empty getSumProstoj}">
                        <fmt:formatNumber type="number" maxFractionDigits="1"
                                          value="${sumOpraRetie/getSumProstoj*100}"/> %
                        </c:if></td>
                    <td><c:if test="${not empty getSumProstoj}">
                        <fmt:formatNumber type="number" maxFractionDigits="1"
                                          value="${sumOpraOst/getSumProstoj*100}"/> %
                        </c:if></td>
                </tr>
                <sec:authorize access="hasAnyAuthority('ITS_PRAPOR')">
                <tr>
                    <td>Suma za opravy: </td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td><fmt:formatNumber type="number" maxFractionDigits="0"
                                          value="${sumCenaDelta}"/>
                    </td>
                    <td><fmt:formatNumber type="number" maxFractionDigits="0"
                                          value="${sumCenaRetie}"/></td>
                    <td><fmt:formatNumber type="number" maxFractionDigits="0"
                                          value="${sumCenaOst}"/></td>
                </tr>
                <tr>
                    <td>Průměrná cena opravy: </td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td><c:if test="${not empty pocetCenaDelta}"><fmt:formatNumber type="number" maxFractionDigits="0"
                                          value="${sumCenaDelta/pocetCenaDelta}"/></c:if>
                        </td>
                    <td><c:if test="${not empty pocetCenaRetie}"><fmt:formatNumber type="number" maxFractionDigits="0"
                                          value="${sumCenaRetie/pocetCenaRetie}"/></c:if>
                    </td>
                    <td><c:if test="${not empty pocetCenaOst}"><fmt:formatNumber type="number" maxFractionDigits="0"
                                          value="${sumCenaOst/pocetCenaOst}"/></c:if>
                    </td>
                </tr>
                </sec:authorize>
            </table>
        </div>
    </div>
</div>
</body>
</html>