<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <link rel="stylesheet" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.8/themes/base/jquery-ui.css"
          type="text/css" media="all"/>
    <link rel="stylesheet" href="http://static.jquery.com/ui/css/demo-docs-theme/ui.theme.css" type="text/css"
          media="all"/>
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.4/jquery.min.js" type="text/javascript"></script>
    <script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8.8/jquery-ui.min.js" type="text/javascript"></script>
</head>
<body>
<div class="container">

    <jsp:include page="menu.jsp"></jsp:include>

    <h3>Přidání záznamu o provozu RL</h3>

    <form:form cssClass="provoz" method="POST" action="/submitProvoz" modelAttribute="provoz">
        <form:errors></form:errors>
        <table class="provozTable">
            <tr>
                <td><form:label path="datum">Datum</form:label></td>
                <td><form:input path="datum" id="datepicker"/>
                    <form:errors path="datum"></form:errors>
                </td>
            </tr>
            <tr>
                <td><form:label path="bojovy">Bojový provoz:</form:label></td>
                <td><form:input path="bojovy"/><form:errors path="bojovy"></form:errors><form:errors></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="technicky">Technický provoz:</form:label></td>
                <td><form:input path="technicky"/><form:errors path="technicky"></form:errors><form:errors></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="udrzba">Údržba</form:label></td>
                <td><form:select path="udrzba">
                    <form:option value="" label=" "/>
                    <form:options items="${udrzbaList}"/>
                </form:select></td>

            </tr>
            <tr>
                <td><form:label path="udrzbaHod">Počet hodin údržby:</form:label></td>
                <td><form:input path="udrzbaHod"/><form:errors path="udrzbaHod"></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="motohodiny">Motohodiny:</form:label></td>
                <td><form:input path="motohodiny"/><form:errors path="motohodiny"></form:errors><form:errors></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="udrzbaECHod">Počet hodin údržby EC:</form:label></td>
                <td><form:input path="udrzbaECHod"/><form:errors path="udrzbaECHod"></form:errors></td>
            </tr>
            <tr>
                <td><input type="submit" value="Submit"/></td>
            </tr>

        </table>
    </form:form>
    <script>
        $(function () {
            $("#datepicker").datepicker({dateFormat: "yy-mm-dd"});
        });
    </script>
</div>
</body>
</html>