<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page session="true" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <title>Provoz Pridat</title>
</head>
<body>
<div class="container">

    <jsp:include page="menu.jsp"></jsp:include>


    <h3>Uprava záznam o provozu</h3>
    <form:form cssClass="provoz" method="POST" action="/updateProvoz" modelAttribute="provoz">
        <form:errors></form:errors>
        <table class="provozTable">
            <tr>
                <td><form:label path="id">id</form:label></td>
                <td>${provoz.id}<form:hidden path="id"/></td>
            </tr>
            <tr>
                <td><form:label path="datum">Datum:</form:label></td>
                <td><form:input path="datum" id="datepicker" placeholder="RRRR-MM-DD"/>
                    <form:errors path="datum"></form:errors>
                </td>
                <script>
                    $(function () {
                        $("#datepicker").datepicker({dateFormat: "yy-mm-dd"});
                    });
                </script>
            </tr>
            <tr>
                <td><form:label path="bojovy">bojový provoz:</form:label></td>
                <td><form:input path="bojovy"/><form:errors path="bojovy"></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="technicky">technický provoz:</form:label></td>
                <td><form:input path="technicky"/><form:errors path="technicky"></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="udrzba">Údržba</form:label></td>
                <td><form:select path="udrzba">
                    <form:option value="" label=" "/>
                    <form:options items="${udrzbaList}"/>
                </form:select></td>
            </tr>
            <tr>
                <td><form:label path="udrzbaHod">Počet hodin údržby:</form:label></td>
                <td><form:input path="udrzbaHod"/><form:errors path="udrzbaHod"></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="motohodiny">technický provoz:</form:label></td>
                <td><form:input path="motohodiny"/><form:errors path="motohodiny"></form:errors></td>
            </tr>
            <tr>
                <td><form:label path="udrzbaECHod">Počet hodin údržby:</form:label></td>
                <td><form:input path="udrzbaECHod"/><form:errors path="udrzbaECHod"></form:errors></td>
            </tr>
            <tr>
                <td><input type="submit" value="Submit"/></td>
            </tr>
        </table>
    </form:form>


</div>

</body>
</html>