<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="sec" uri="http://www.springframework.org/security/tags" %>
<%@page pageEncoding="UTF-8" %>
<html>
<head>
    <title>Provoz Filtrovani</title>

    <link rel="stylesheet" type="text/css" href="/css/basic.css"/>
    <link rel="stylesheet" type="text/css" href="/css/jquery.dataTables.min.css">


    <script type="text/javascript" language="javascript" src="/js/jquery-1.12.4.js"></script>
    <script type="text/javascript" language="javascript" src="/js/jquery.dataTables.min.js"></script>
    <script type="text/javascript" language="javascript" src="/js/jquery.spring-friendly.js"></script>


    <script type="text/javascript" language="javascript" src="https://code.jquery.com/ui/1.12.1/jquery-ui.js">
    </script>
    <link rel="stylesheet" type="text/css" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>
<body>
<div class="container">
    <jsp:include page="menu.jsp"></jsp:include>


    <h3>Provoz filter</h3>

    <table border="0" cellspacing="5" cellpadding="5">
        <tbody>
        <tr>
            <td>Minimum Date:</td>
            <td><input name="min" class="datepicker" id="min" type="text"></td>
        </tr>
        <tr>
            <td>Maximum Date:</td>
            <td><input name="max" class="datepicker" id="max" type="text"></td>
        </tr>
        </tbody>
    </table>
    <table id="provoz" class="display" width="100%" cellspacing="0">
        <thead>
        <tr>
            <th>id</th>
            <th>datum</th>
            <th>Bojovy</th>
            <th>technicky</th>
            <th>udrzba</th>
            <th>hodiny udrzby</th>
            <th>Provoz EC</th>
            <th>Udrzba EC</th>
        </tr>
        </thead>
        <tfoot>
        <tr>
            <th>id</th>
            <th>datum</th>
            <th>Bojovy</th>
            <th>technicky</th>
            <th>udrzba</th>
            <th>hodiny udrzby</th>
            <th>Provoz EC</th>
            <th>Udrzba EC</th>
        </tr>
        </tfoot>
    </table>
    <script type="text/javascript">
        $(document).ready(function () {
            var table = $('#provoz').DataTable({
                "ajax": {
                    "url": "data/provoz",
                    "data": function (a) {
                        return $.extend({}, a, {
                            "date_from": $('#min').val(),
                            "date_to": $('#max').val()
                        });
                    }
                },
                'serverSide': true,
                columns: [{
                    data: 'id'
                }, {
                    data: 'datum'
                }, {
                    data: 'bojovy'
                }, {
                    data: 'technicky'
                }, {
                    data: 'udrzba'
                }, {
                    data: 'udrzbaHod'
                }, {
                    data: 'motohodiny'
                }, {
                    data: 'udrzbaECHod'
                }
                ],
                "footerCallback": function (row, data, start, end, display) {
                    var api = this.api(), data;

                    // Remove the formatting to get integer data for summation
                    var intVal = function (i) {
                        return typeof i === 'string' ?
                            i.replace(/[\$,]/g, '') * 1 :
                            typeof i === 'number' ?
                                i : 0;
                    };

                    // Total over this page
                    pageTotal = api
                        .column(3, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);

                    // Update footer
                    $(api.column(3).footer()).html(
                        'Technický: ' + pageTotal
                    );
                    pageTotal = api
                        .column(2, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    $(api.column(2).footer()).html(
                        'bojovy: ' + pageTotal
                    );
                    pageTotal = api
                        .column(5, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    $(api.column(5).footer()).html(
                        'udrzba: ' + pageTotal
                    );
                    pageTotal = api
                        .column(6, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    $(api.column(6).footer()).html(
                        'Motohodiny: ' + pageTotal
                    );
                    pageTotal = api
                        .column(7, {page: 'current'})
                        .data()
                        .reduce(function (a, b) {
                            return intVal(a) + intVal(b);
                        }, 0);
                    $(api.column(7).footer()).html(
                        'Udrzba EC: ' + pageTotal
                    );
                }
            });
            $('#min, #max').datepicker({dateFormat:"yy-mm-dd"}).change(function () {
                table.draw();
            });
        });
    </script>
    <script type="text/javascript">

    </script>
</div>
</body>
</html>